<< ddrand | DD: 16 bytes decimal arithmetics | QD: 32 bytes decimal arithmetics >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > DD: 16 bytes decimal arithmetics > ddzeros

# ddzeros

generates a matrix made of DD zeros

### Syntax

    a = ddzeros(m,n)
    a = zeros(DDmat)

### Parameters

m,n

  positive integers: numbers of rows and columns

DDmat

  a matrix of DD numbers

a

  matrix of DD zeros, of size [m,n] or size(DDmat).

### Examples

    ddzeros(1,1) // scalar
    ddzeros(1,4) // vector
    ddzeros(2,3) // matrix

    d = ddrand(2,4);
    zeros(d)

    -->  ddzeros(1,1) // scalar
     ans  =
       0.000000000000000000000000000000E0

    -->  ddzeros(1,4) // vector
     ans  =
    [d1] zeros(1,4)
    [d2] zeros(1,4)

    -->  ddzeros(2,3) // matrix
     ans  =
    [d1] zeros(2,3)
    [d2] zeros(2,3)

    --> d = ddrand(2,4);
    --> zeros(d)
     ans  =
    [d1] zeros(2,4)
    [d2] zeros(2,4)

### See Also

- qdzeros — QD matrix made of zeros
- ddones — generates a matrix made of DD ones
- ddeye — Identity matrix
- ddrand — (Quasi) Pseudorandom DD number generator
- dd — builds an array of DD numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< ddrand | DD: 16 bytes decimal arithmetics | QD: 32 bytes decimal arithmetics >>